al_draw_rectangle(3)

NAME

al_draw_rectangle - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_primitives.h>
    void al_draw_rectangle(float x1, float y1, float x2, float y2,
       ALLEGRO_COLOR color, float thickness)

DESCRIPTION

Draws an outlined rectangle.

Parameters:

•   x1, y1, x2, y2 - Upper left and lower right points of the rectangle

•   color - Color of the rectangle

•   thickness - Thickness of the lines, pass <= 0 to draw hairline lines

SEE ALSO

al_draw_filled_rectangle(3), al_draw_rounded_rectangle(3)